
#####################################################################################

itr.itr4.personalInfo.address.stateCode.01=-1^Select
itr.itr4.personalInfo.address.stateCode.03=01^Andaman and Nicobar islands
itr.itr4.personalInfo.address.stateCode.04=02^Andhra Pradesh
itr.itr4.personalInfo.address.stateCode.05=03^Arunachal Pradesh
itr.itr4.personalInfo.address.stateCode.06=04^Assam
itr.itr4.personalInfo.address.stateCode.07=05^Bihar
itr.itr4.personalInfo.address.stateCode.08=06^Chandigarh
itr.itr4.personalInfo.address.stateCode.09=07^Dadra Nagar and Haveli
itr.itr4.personalInfo.address.stateCode.10=08^Daman and Diu
itr.itr4.personalInfo.address.stateCode.11=09^Delhi 
itr.itr4.personalInfo.address.stateCode.12=10^Goa
itr.itr4.personalInfo.address.stateCode.13=11^Gujarat
itr.itr4.personalInfo.address.stateCode.14=12^Haryana
itr.itr4.personalInfo.address.stateCode.15=13^Himachal Pradesh
itr.itr4.personalInfo.address.stateCode.16=14^Jammu and Kashmir
itr.itr4.personalInfo.address.stateCode.17=15^Karnataka
itr.itr4.personalInfo.address.stateCode.18=16^Kerala
itr.itr4.personalInfo.address.stateCode.19=17^Lakshadweep
itr.itr4.personalInfo.address.stateCode.20=18^Madhya Pradesh
itr.itr4.personalInfo.address.stateCode.21=19^Maharashtra
itr.itr4.personalInfo.address.stateCode.22=20^Manipur
itr.itr4.personalInfo.address.stateCode.23=21^Meghalaya
itr.itr4.personalInfo.address.stateCode.24=22^Mizoram
itr.itr4.personalInfo.address.stateCode.25=23^Nagaland
itr.itr4.personalInfo.address.stateCode.26=24^Orissa
itr.itr4.personalInfo.address.stateCode.27=25^Pondicherry
itr.itr4.personalInfo.address.stateCode.28=26^Punjab
itr.itr4.personalInfo.address.stateCode.29=27^Rajasthan
itr.itr4.personalInfo.address.stateCode.30=28^Sikkim
itr.itr4.personalInfo.address.stateCode.31=29^Tamil Nadu
itr.itr4.personalInfo.address.stateCode.32=30^Tripura
itr.itr4.personalInfo.address.stateCode.33=31^Uttar Pradesh
itr.itr4.personalInfo.address.stateCode.34=32^West Bengal
itr.itr4.personalInfo.address.stateCode.35=33^Chattisgarh
itr.itr4.personalInfo.address.stateCode.36=34^Uttarakhand
itr.itr4.personalInfo.address.stateCode.37=35^Jharkhand
itr.itr4.personalInfo.address.stateCode.38=36^Telangana
itr.itr4.personalInfo.address.stateCode.39=37^Ladakh
itr.itr4.personalInfo.address.stateCode.40=99^State outside India    

#####################################################################################

itr.itr4.personalInfo.address.countryCode.001=-1^Select
itr.itr4.personalInfo.address.countryCode.002=93^AFGHANISTAN                  
itr.itr4.personalInfo.address.countryCode.003=1001^ALAND ISLANDS        
itr.itr4.personalInfo.address.countryCode.004=355^ALBANIA
itr.itr4.personalInfo.address.countryCode.005=213^ALGERIA  
itr.itr4.personalInfo.address.countryCode.006=684^AMERICAN SAMOAs
itr.itr4.personalInfo.address.countryCode.007=376^ANDORRA  
itr.itr4.personalInfo.address.countryCode.008=244^ANGOLA  
itr.itr4.personalInfo.address.countryCode.009=1264^ANGUILLA  
itr.itr4.personalInfo.address.countryCode.010=1010^ANTARCTICA  
itr.itr4.personalInfo.address.countryCode.011=1268^ANTIGUA AND BARBUDA  
itr.itr4.personalInfo.address.countryCode.012=54^ARGENTINA  
itr.itr4.personalInfo.address.countryCode.013=374^ARMENIA  
itr.itr4.personalInfo.address.countryCode.014=297^ARUBA  
itr.itr4.personalInfo.address.countryCode.015=61^AUSTRALIA  
itr.itr4.personalInfo.address.countryCode.016=43^AUSTRIA  
itr.itr4.personalInfo.address.countryCode.017=994^AZERBAIJAN  
itr.itr4.personalInfo.address.countryCode.018=1242^BAHAMAS  
itr.itr4.personalInfo.address.countryCode.019=973^BAHRAIN  
itr.itr4.personalInfo.address.countryCode.020=880^BANGLADESH  
itr.itr4.personalInfo.address.countryCode.021=1246^BARBADOS 
itr.itr4.personalInfo.address.countryCode.022=375^BELARUS 
itr.itr4.personalInfo.address.countryCode.023=32^BELGIUM 
itr.itr4.personalInfo.address.countryCode.024=501^BELIZE 
itr.itr4.personalInfo.address.countryCode.025=229^BENIN 
itr.itr4.personalInfo.address.countryCode.026=1441^BERMUDA 
itr.itr4.personalInfo.address.countryCode.027=975^BHUTAN 
itr.itr4.personalInfo.address.countryCode.028=591^BOLIVIA (PLURINATIONAL STATE OF) 
itr.itr4.personalInfo.address.countryCode.029=1002^BONAIRE SINT EUSTATIUS AND SABA 
itr.itr4.personalInfo.address.countryCode.030=387^BOSNIA AND HERZEGOVINA 
itr.itr4.personalInfo.address.countryCode.031=267^BOTSWANA 
itr.itr4.personalInfo.address.countryCode.032=1003^BOUVET ISLAND 
itr.itr4.personalInfo.address.countryCode.033=55^BRAZIL 
itr.itr4.personalInfo.address.countryCode.034=1014^BRITISH INDIAN OCEAN TERRITORY 
itr.itr4.personalInfo.address.countryCode.035=673^BRUNEI DARUSSALAM 
itr.itr4.personalInfo.address.countryCode.036=359^BULGARIA 
itr.itr4.personalInfo.address.countryCode.037=226^BURKINA FASO 
itr.itr4.personalInfo.address.countryCode.038=257^BURUNDI 
itr.itr4.personalInfo.address.countryCode.039=238^CABO VERDE 
itr.itr4.personalInfo.address.countryCode.040=855^CAMBODIA 
itr.itr4.personalInfo.address.countryCode.041=237^CAMEROON 
itr.itr4.personalInfo.address.countryCode.042=1^CANADA 
itr.itr4.personalInfo.address.countryCode.043=1345^CAYMAN ISLANDS 
itr.itr4.personalInfo.address.countryCode.044=236^CENTRAL AFRICAN REPUBLIC 
itr.itr4.personalInfo.address.countryCode.045=235^CHAD 
itr.itr4.personalInfo.address.countryCode.046=56^CHILE 
itr.itr4.personalInfo.address.countryCode.047=86^CHINA 
itr.itr4.personalInfo.address.countryCode.048=9^CHRISTMAS ISLAND 
itr.itr4.personalInfo.address.countryCode.049=672^COCOS (KEELING) ISLANDS 
itr.itr4.personalInfo.address.countryCode.050=57^COLOMBIA 
itr.itr4.personalInfo.address.countryCode.051=270^COMOROS 
itr.itr4.personalInfo.address.countryCode.052=242^CONGO
itr.itr4.personalInfo.address.countryCode.053=243^CONGO (DEMOCRATIC REPUBLIC OF THE) 
itr.itr4.personalInfo.address.countryCode.054=682^COOK ISLANDS 
itr.itr4.personalInfo.address.countryCode.055=506^COSTA RICA 
itr.itr4.personalInfo.address.countryCode.056=225^CÔTE D'IVOIRE 
itr.itr4.personalInfo.address.countryCode.057=385^CROATIA 
itr.itr4.personalInfo.address.countryCode.058=53^CUBA 	
itr.itr4.personalInfo.address.countryCode.059=1015^CURAÇAO
itr.itr4.personalInfo.address.countryCode.060=357^CYPRUS 
itr.itr4.personalInfo.address.countryCode.061=420^CZECHIA 
itr.itr4.personalInfo.address.countryCode.062=45^DENMARK 
itr.itr4.personalInfo.address.countryCode.063=253^DJIBOUTI 
itr.itr4.personalInfo.address.countryCode.064=1767^DOMINICA 
itr.itr4.personalInfo.address.countryCode.065=1809^DOMINICAN REPUBLIC 	
itr.itr4.personalInfo.address.countryCode.066=593^ECUADOR 		
itr.itr4.personalInfo.address.countryCode.067=20^EGYPT 		
itr.itr4.personalInfo.address.countryCode.068=503^EL SALVADOR 		
itr.itr4.personalInfo.address.countryCode.069=240^EQUATORIAL GUINEA 		
itr.itr4.personalInfo.address.countryCode.070=291^ERITREA 		
itr.itr4.personalInfo.address.countryCode.071=372^ESTONIA 	
itr.itr4.personalInfo.address.countryCode.072=251^ETHIOPIA 	
itr.itr4.personalInfo.address.countryCode.073=500^FALKLAND ISLANDS (MALVINAS) 		
itr.itr4.personalInfo.address.countryCode.074=298^FAROE ISLANDS 		
itr.itr4.personalInfo.address.countryCode.075=679^FIJI 		
itr.itr4.personalInfo.address.countryCode.076=358^FINLAND 		
itr.itr4.personalInfo.address.countryCode.077=33^FRANCE 		
itr.itr4.personalInfo.address.countryCode.078=594^FRENCH GUIANA 		
itr.itr4.personalInfo.address.countryCode.079=689^FRENCH POLYNESIA 	
itr.itr4.personalInfo.address.countryCode.080=1004^FRENCH SOUTHERN TERRITORIES 	
itr.itr4.personalInfo.address.countryCode.081=241^GABON 	
itr.itr4.personalInfo.address.countryCode.082=220^GAMBIA 	
itr.itr4.personalInfo.address.countryCode.083=995^GEORGIA 	
itr.itr4.personalInfo.address.countryCode.084=49^GERMANY 	
itr.itr4.personalInfo.address.countryCode.085=233^GHANA 		
itr.itr4.personalInfo.address.countryCode.086=350^GIBRALTAR 	
itr.itr4.personalInfo.address.countryCode.087=30^GREECE 	
itr.itr4.personalInfo.address.countryCode.088=299^GREENLAND 	
itr.itr4.personalInfo.address.countryCode.089=1473^GRENADA 	
itr.itr4.personalInfo.address.countryCode.090=590^GUADELOUPE 	
itr.itr4.personalInfo.address.countryCode.091=1671^GUAM 	
itr.itr4.personalInfo.address.countryCode.092=502^GUATEMALA 		
itr.itr4.personalInfo.address.countryCode.093=1481^GUERNSEY 	
itr.itr4.personalInfo.address.countryCode.094=224^GUINEA 	
itr.itr4.personalInfo.address.countryCode.095=245^GUINEA-BISSAU 
itr.itr4.personalInfo.address.countryCode.096=592^GUYANA 
itr.itr4.personalInfo.address.countryCode.097=509^HAITI 
itr.itr4.personalInfo.address.countryCode.098=1005^HEARD ISLAND AND MCDONALD ISLANDS 	
itr.itr4.personalInfo.address.countryCode.099=6^HOLY SEE 
itr.itr4.personalInfo.address.countryCode.100=504^HONDURAS 
itr.itr4.personalInfo.address.countryCode.101=852^HONG KONG 
itr.itr4.personalInfo.address.countryCode.102=36^HUNGARY 	
itr.itr4.personalInfo.address.countryCode.103=354^ICELAND 
itr.itr4.personalInfo.address.countryCode.104=91^INDIA 
itr.itr4.personalInfo.address.countryCode.105=62^INDONESIA 
itr.itr4.personalInfo.address.countryCode.106=98^IRAN (ISLAMIC REPUBLIC OF) 
itr.itr4.personalInfo.address.countryCode.107=964^IRAQ 
itr.itr4.personalInfo.address.countryCode.108=353^IRELAND 
itr.itr4.personalInfo.address.countryCode.109=1624^ISLE OF MAN 
itr.itr4.personalInfo.address.countryCode.110=972^ISRAEL 
itr.itr4.personalInfo.address.countryCode.111=5^ITALY 
itr.itr4.personalInfo.address.countryCode.112=1876^JAMAICA 
itr.itr4.personalInfo.address.countryCode.113=81^JAPAN 
itr.itr4.personalInfo.address.countryCode.114=1534^JERSEY 
itr.itr4.personalInfo.address.countryCode.115=962^JORDAN 
itr.itr4.personalInfo.address.countryCode.116=7^KAZAKHSTAN 
itr.itr4.personalInfo.address.countryCode.117=254^KENYA 
itr.itr4.personalInfo.address.countryCode.118=686^KIRIBATI 
itr.itr4.personalInfo.address.countryCode.119=850^KOREA(DEMOCRATIC PEOPLE'S REPUBLIC OF) 
itr.itr4.personalInfo.address.countryCode.120=82^KOREA (REPUBLIC OF) 
itr.itr4.personalInfo.address.countryCode.121=965^KUWAIT 
itr.itr4.personalInfo.address.countryCode.122=996^KYRGYZSTAN 
itr.itr4.personalInfo.address.countryCode.123=856^LAO PEOPLE'S DEMOCRATIC REPUBLIC 
itr.itr4.personalInfo.address.countryCode.124=371^LATVIA 
itr.itr4.personalInfo.address.countryCode.125=961^LEBANON
itr.itr4.personalInfo.address.countryCode.126=266^LESOTHO
itr.itr4.personalInfo.address.countryCode.127=231^LIBERIA
itr.itr4.personalInfo.address.countryCode.128=218^LIBYA
itr.itr4.personalInfo.address.countryCode.129=423^LIECHTENSTEIN
itr.itr4.personalInfo.address.countryCode.130=370^LITHUANIA
itr.itr4.personalInfo.address.countryCode.131=352^LUXEMBOURG
itr.itr4.personalInfo.address.countryCode.132=853^MACAO
itr.itr4.personalInfo.address.countryCode.133=389^MACEDONIA(THE FORMER YUGOSLAV REPUBLIC OF)
itr.itr4.personalInfo.address.countryCode.134=261^MADAGASCAR
itr.itr4.personalInfo.address.countryCode.135=256^MALAWI
itr.itr4.personalInfo.address.countryCode.136=60^MALAYSIA
itr.itr4.personalInfo.address.countryCode.137=960^MALDIVES
itr.itr4.personalInfo.address.countryCode.138=223^MALI
itr.itr4.personalInfo.address.countryCode.139=356^MALTA
itr.itr4.personalInfo.address.countryCode.140=692^MARSHALL ISLANDS
itr.itr4.personalInfo.address.countryCode.141=596^MARTINIQUE
itr.itr4.personalInfo.address.countryCode.142=222^MAURITANIA
itr.itr4.personalInfo.address.countryCode.143=230^MAURITIUS
itr.itr4.personalInfo.address.countryCode.144=269^MAYOTTE
itr.itr4.personalInfo.address.countryCode.145=52^MEXICO
itr.itr4.personalInfo.address.countryCode.146=691^MICRONESIA (FEDERATED STATES OF)
itr.itr4.personalInfo.address.countryCode.147=373^MOLDOVA (REPUBLIC OF)
itr.itr4.personalInfo.address.countryCode.148=377^MONACO
itr.itr4.personalInfo.address.countryCode.149=976^MONGOLIA
itr.itr4.personalInfo.address.countryCode.150=382^MONTENEGRO
itr.itr4.personalInfo.address.countryCode.151=1664^MONTSERRAT
itr.itr4.personalInfo.address.countryCode.152=212^MOROCCO
itr.itr4.personalInfo.address.countryCode.153=258^MOZAMBIQUE
itr.itr4.personalInfo.address.countryCode.154=95^MYANMAR
itr.itr4.personalInfo.address.countryCode.155=264^NAMIBIA
itr.itr4.personalInfo.address.countryCode.156=674^NAURU
itr.itr4.personalInfo.address.countryCode.157=977^NEPAL
itr.itr4.personalInfo.address.countryCode.158=31^NETHERLANDS
itr.itr4.personalInfo.address.countryCode.159=687^NEW CALEDONIA
itr.itr4.personalInfo.address.countryCode.160=64^NEW ZEALAND
itr.itr4.personalInfo.address.countryCode.161=505^NICARAGUA
itr.itr4.personalInfo.address.countryCode.162=227^NIGER
itr.itr4.personalInfo.address.countryCode.163=234^NIGERIA
itr.itr4.personalInfo.address.countryCode.164=683^NIUE
itr.itr4.personalInfo.address.countryCode.165=15^NORFOLK ISLAND
itr.itr4.personalInfo.address.countryCode.166=1670^NORTHERN MARIANA ISLANDS
itr.itr4.personalInfo.address.countryCode.167=47^NORWAY
itr.itr4.personalInfo.address.countryCode.168=968^OMAN
itr.itr4.personalInfo.address.countryCode.169=92^PAKISTAN
itr.itr4.personalInfo.address.countryCode.170=680^PALAU
itr.itr4.personalInfo.address.countryCode.171=970^PALESTINE STATE OF
itr.itr4.personalInfo.address.countryCode.172=507^PANAMA
itr.itr4.personalInfo.address.countryCode.173=675^PAPUA NEW GUINEA
itr.itr4.personalInfo.address.countryCode.174=595^PARAGUAY
itr.itr4.personalInfo.address.countryCode.175=51^PERU
itr.itr4.personalInfo.address.countryCode.176=63^PHILIPPINES
itr.itr4.personalInfo.address.countryCode.177=1011^PITCAIRN
itr.itr4.personalInfo.address.countryCode.178=48^POLAND
itr.itr4.personalInfo.address.countryCode.179=14^PORTUGAL
itr.itr4.personalInfo.address.countryCode.180=1787^PUERTO RICO
itr.itr4.personalInfo.address.countryCode.181=974^QATAR
itr.itr4.personalInfo.address.countryCode.182=262^RÉUNION
itr.itr4.personalInfo.address.countryCode.183=40^ROMANIA
itr.itr4.personalInfo.address.countryCode.184=8^RUSSIAN FEDERATION
itr.itr4.personalInfo.address.countryCode.185=250^RWANDA
itr.itr4.personalInfo.address.countryCode.186=1006^SAINT BARTHÉLEMY
itr.itr4.personalInfo.address.countryCode.187=290^SAINT HELENA ASCENSION AND TRISTAN DA CUNHA
itr.itr4.personalInfo.address.countryCode.188=1869^SAINT KITTS AND NEVIS
itr.itr4.personalInfo.address.countryCode.189=1758^SAINT LUCIA
itr.itr4.personalInfo.address.countryCode.190=1007^SAINT MARTIN (FRENCH PART)
itr.itr4.personalInfo.address.countryCode.191=508^SAINT PIERRE AND MIQUELON
itr.itr4.personalInfo.address.countryCode.192=1784^SAINT VINCENT AND THE GRENADINES
itr.itr4.personalInfo.address.countryCode.193=685^SAMOA
itr.itr4.personalInfo.address.countryCode.194=378^SAN MARINO
itr.itr4.personalInfo.address.countryCode.195=239^SAO TOME AND PRINCIPE
itr.itr4.personalInfo.address.countryCode.196=966^SAUDI ARABIA
itr.itr4.personalInfo.address.countryCode.197=221^SENEGAL
itr.itr4.personalInfo.address.countryCode.198=381^SERBIA
itr.itr4.personalInfo.address.countryCode.199=248^SEYCHELLES
itr.itr4.personalInfo.address.countryCode.200=232^SIERRA LEONE
itr.itr4.personalInfo.address.countryCode.201=65^SINGAPORE
itr.itr4.personalInfo.address.countryCode.202=1721^SINT MAARTEN (DUTCH PART)
itr.itr4.personalInfo.address.countryCode.203=421^SLOVAKIA
itr.itr4.personalInfo.address.countryCode.204=386^SLOVENIA
itr.itr4.personalInfo.address.countryCode.205=677^SOLOMON ISLANDS
itr.itr4.personalInfo.address.countryCode.206=252^SOMALIA
itr.itr4.personalInfo.address.countryCode.207=28^SOUTH AFRICA
itr.itr4.personalInfo.address.countryCode.208=1008^SOUTH GEORGIA AND THE SOUTH SANDWICH ISLANDS
itr.itr4.personalInfo.address.countryCode.209=211^SOUTH SUDAN
itr.itr4.personalInfo.address.countryCode.210=35^SPAIN
itr.itr4.personalInfo.address.countryCode.211=94^SRI LANKA
itr.itr4.personalInfo.address.countryCode.212=249^SUDAN
itr.itr4.personalInfo.address.countryCode.213=597^SURINAME
itr.itr4.personalInfo.address.countryCode.214=1012^SVALBARD AND JAN MAYEN
itr.itr4.personalInfo.address.countryCode.215=268^SWAZILAND
itr.itr4.personalInfo.address.countryCode.216=46^SWEDEN
itr.itr4.personalInfo.address.countryCode.217=41^SWITZERLAND
itr.itr4.personalInfo.address.countryCode.218=963^SYRIAN ARAB REPUBLIC
itr.itr4.personalInfo.address.countryCode.219=886^TAIWAN PROVINCE OF CHINA[A]
itr.itr4.personalInfo.address.countryCode.220=992^TAJIKISTAN
itr.itr4.personalInfo.address.countryCode.221=255^TANZANIA UNITED REPUBLIC OF
itr.itr4.personalInfo.address.countryCode.222=66^THAILAND
itr.itr4.personalInfo.address.countryCode.223=670^TIMOR-LESTE (EAST TIMOR)
itr.itr4.personalInfo.address.countryCode.224=228^TOGO
itr.itr4.personalInfo.address.countryCode.225=690^TOKELAU
itr.itr4.personalInfo.address.countryCode.226=676^TONGA
itr.itr4.personalInfo.address.countryCode.227=1868^TRINIDAD AND TOBAGO
itr.itr4.personalInfo.address.countryCode.228=216^TUNISIA
itr.itr4.personalInfo.address.countryCode.229=90^TURKEY
itr.itr4.personalInfo.address.countryCode.230=993^TURKMENISTAN
itr.itr4.personalInfo.address.countryCode.231=1649^TURKS AND CAICOS ISLANDS
itr.itr4.personalInfo.address.countryCode.232=688^TUVALU
itr.itr4.personalInfo.address.countryCode.233=256^UGANDA
itr.itr4.personalInfo.address.countryCode.234=380^UKRAINE
itr.itr4.personalInfo.address.countryCode.235=971^UNITED ARAB EMIRATES
itr.itr4.personalInfo.address.countryCode.236=44^UNITED KINGDOM OF GREAT BRITAIN AND NORTHERN IRELAND
itr.itr4.personalInfo.address.countryCode.237=2^UNITED STATES OF AMERICA
itr.itr4.personalInfo.address.countryCode.238=1009^UNITED STATES MINOR OUTLYING ISLANDS
itr.itr4.personalInfo.address.countryCode.239=598^URUGUAY
itr.itr4.personalInfo.address.countryCode.240=998^UZBEKISTAN
itr.itr4.personalInfo.address.countryCode.241=678^VANUATU
itr.itr4.personalInfo.address.countryCode.242=58^VENEZUELA (BOLIVARIAN REPUBLIC OF)
itr.itr4.personalInfo.address.countryCode.243=84^VIET NAM
itr.itr4.personalInfo.address.countryCode.244=1284^VIRGIN ISLANDS (BRITISH)
itr.itr4.personalInfo.address.countryCode.245=1340^VIRGIN ISLANDS (U.S.)
itr.itr4.personalInfo.address.countryCode.246=681^WALLIS AND FUTUNA
itr.itr4.personalInfo.address.countryCode.247=1013^WESTERN SAHARA
itr.itr4.personalInfo.address.countryCode.248=967^YEMEN
itr.itr4.personalInfo.address.countryCode.249=260^ZAMBIA
itr.itr4.personalInfo.address.countryCode.250=263^ZIMBABWE
itr.itr4.personalInfo.address.countryCode.251=9999^Others

#####################################################################################

itr.itr4.personalInfo.employerCategory.001=-1^Select
itr.itr4.personalInfo.employerCategory.002=CGOV^Central Government
itr.itr4.personalInfo.employerCategory.003=SGOV^State Government
itr.itr4.personalInfo.employerCategory.004=PSU^Public Sector Undertaking
itr.itr4.personalInfo.employerCategory.005=PE^Pensioners
itr.itr4.personalInfo.employerCategory.006=OTH^Others
itr.itr4.personalInfo.employerCategory.007=NA^Not Applicable (eg.Family pension etc)

#####################################################################################

itr.itr4.filingStatus.assesseeRep.repCapacity=repCapacity

repCapacity.01=-1^Select
repCapacity.02=L^Legal Heir
repCapacity.03=M^Manager
repCapacity.04=G^Guardian
repCapacity.05=O^Other


####################################################################################

itr.itr4.filingStatus.returnFileSec.001=-1^Select
itr.itr4.filingStatus.returnFileSec.002=11^139(1)-On or before due date
itr.itr4.filingStatus.returnFileSec.003=12^139(4)-After due date
itr.itr4.filingStatus.returnFileSec.004=17^139(5)-Revised Return
itr.itr4.filingStatus.returnFileSec.005=20^119(2)(b)- after condonation of delay

####################################################################################

itr.itr4.filingStatus.returnFileSec1.001=-1^Select
itr.itr4.filingStatus.returnFileSec1.002=13^142(1)
itr.itr4.filingStatus.returnFileSec1.003=14^148
itr.itr4.filingStatus.returnFileSec1.004=15^153A
itr.itr4.filingStatus.returnFileSec1.005=16^153C
itr.itr4.filingStatus.returnFileSec1.006=18^139(9)

####################################################################################

itr.itr4.filingStatus.asseseeRepFlg=asseseeRepFlg
asseseeRepFlg.01=-1^Select
asseseeRepFlg.02=Y^Yes
asseseeRepFlg.03=N^No


####################################################################################
taxDeductedFrmIncomeController.type.deductedYr=Dyear
deductedYr=Dyear

Dyear.01=-1^Select
Dyear.02=2018^2018
Dyear.03=2017^2017
Dyear.04=2016^2016
Dyear.05=2015^2015
Dyear.06=2014^2014
Dyear.07=2013^2013
Dyear.08=2012^2012
Dyear.09=2011^2011
Dyear.10=2010^2010
Dyear.11=2009^2009
Dyear.12=2008^2008
Dyear.13=2007^2007
Dyear.14=2006^2006
Dyear.15=2005^2005
Dyear.16=2004^2004
Dyear.17=2003^2003
Dyear.18=2002^2002
Dyear.19=2001^2001

#####################################################################################

itr.itr4.itr1IncomeDeductions.typeOfHP.01=-1^Select
itr.itr4.itr1IncomeDeductions.typeOfHP.02=S^Self-Occupied
itr.itr4.itr1IncomeDeductions.typeOfHP.03=L^Let Out
itr.itr4.itr1IncomeDeductions.typeOfHP.04=D^Deemed let out

#####################################################################################

immovableDetailsController.type.addressAL.stateCode=stateCode
aopController.type.addressAL.stateCode=stateCode
controllerScheduleCT1.type.addressCT.stateCode=stateCode
controllerScheduleCT2.type.addressCT.stateCode=stateCode
controllerScheduleCT3.type.addressCT.stateCode=stateCode
controllerScheduleCT4.type.addressCT.stateCode=stateCode
controllerScheduleCT5.type.addressCT.stateCode=stateCode

addressDetail.stateCode=stateCode
addressAL.stateCode=stateCode
addressCT.stateCode=stateCode



stateCode.01=-1^Select
stateCode.02=01^Andaman and Nicobar islands
stateCode.03=02^Andhra Pradesh
stateCode.04=03^Arunachal Pradesh
stateCode.05=04^Assam
stateCode.06=05^Bihar
stateCode.07=06^Chandigarh
stateCode.08=07^Dadra Nagar and Haveli
stateCode.09=08^Daman and Diu
stateCode.10=09^Delhi 
stateCode.11=10^Goa
stateCode.12=11^Gujarat
stateCode.13=12^Haryana
stateCode.14=13^Himachal Pradesh
stateCode.15=14^Jammu and Kashmir
stateCode.16=15^Karnataka
stateCode.17=16^Kerala
stateCode.18=17^Lakshadweep
stateCode.19=18^Madhya Pradesh
stateCode.20=19^Maharashtra
stateCode.21=20^Manipur
stateCode.22=21^meghalaya
stateCode.23=22^Mizoram
stateCode.24=23^Nagaland
stateCode.25=24^Orissa
stateCode.26=25^Pondicherry
stateCode.27=26^Punjab
stateCode.28=27^rajasthan
stateCode.29=28^Sikkim
stateCode.30=29^Tamil Nadu
stateCode.31=30^Tripura
stateCode.32=31^Uttar Pradesh
stateCode.33=32^West Bengal
stateCode.34=33^Chattisgarh
stateCode.35=34^Uttarakhand
stateCode.36=35^Jharkhand
stateCode.37=36^Telangana
stateCode.38=37^Ladakh
stateCode.39=99^State outside India    

#####################################################################################

itr4_80GController1.type.addressDetail.stateCode=stateCode80G
itr4_80GController2.type.addressDetail.stateCode=stateCode80G
itr4_80GController3.type.addressDetail.stateCode=stateCode80G
itr4_80GController.type.addressDetail.stateCode=stateCode80G

stateCode80G.01=-1^Select
stateCode80G.02=01^Andaman and Nicobar islands
stateCode80G.03=02^Andhra Pradesh
stateCode80G.04=03^Arunachal Pradesh
stateCode80G.05=04^Assam
stateCode80G.06=05^Bihar
stateCode80G.07=06^Chandigarh
stateCode80G.08=07^Dadra Nagar and Haveli
stateCode80G.09=08^Daman and Diu
stateCode80G.10=09^Delhi 
stateCode80G.11=10^Goa
stateCode80G.12=11^Gujarat
stateCode80G.13=12^Haryana
stateCode80G.14=13^Himachal Pradesh
stateCode80G.15=14^Jammu and Kashmir
stateCode80G.16=15^Karnataka
stateCode80G.17=16^Kerala
stateCode80G.18=17^Lakshadweep
stateCode80G.19=18^Madhya Pradesh
stateCode80G.20=19^Maharashtra
stateCode80G.21=20^Manipur
stateCode80G.22=21^meghalaya
stateCode80G.23=22^Mizoram
stateCode80G.24=23^Nagaland
stateCode80G.25=24^Orissa
stateCode80G.26=25^Pondicherry
stateCode80G.27=26^Punjab
stateCode80G.28=27^rajasthan
stateCode80G.29=28^Sikkim
stateCode80G.30=29^Tamil Nadu
stateCode80G.31=30^Tripura
stateCode80G.32=31^Uttar Pradesh
stateCode80G.33=32^West Bengal
stateCode80G.34=33^Chattisgarh
stateCode80G.35=34^Uttarakhand
stateCode80G.36=35^Jharkhand
stateCode80G.37=36^Telangana
stateCode80G.38=37^Ladakh

#####################################################################################


itr.itr1.itr1IncomeDeductions.typeOfHP.01=-1^Select
itr.itr1.itr1IncomeDeductions.typeOfHP.02=S^Self-Occupied
itr.itr1.itr1IncomeDeductions.typeOfHP.03=L^Let Out

itr.itr4.refund.bankAccountDtls.bankDtlsFlag.01=Y^Yes
itr.itr4.refund.bankAccountDtls.bankDtlsFlag.02=N^No

#####################################################################################



itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.001=-1^Select
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.002=93^AFGHANISTAN                  
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.003=1001^ALAND ISLANDS        
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.004=355^ALBANIA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.005=213^ALGERIA  
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.006=684^AMERICAN SAMOAs
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.007=376^ANDORRA  
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.008=244^ANGOLA  
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.009=1264^ANGUILLA  
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.010=1010^ANTARCTICA  
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.011=1268^ANTIGUA AND BARBUDA  
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.012=54^ARGENTINA  
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.013=374^ARMENIA  
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.014=297^ARUBA  
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.015=61^AUSTRALIA  
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.016=43^AUSTRIA  
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.017=994^AZERBAIJAN  
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.018=1242^BAHAMAS  
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.019=973^BAHRAIN  
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.020=880^BANGLADESH  
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.021=1246^BARBADOS 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.022=375^BELARUS 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.023=32^BELGIUM 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.024=501^BELIZE 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.025=229^BENIN 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.026=1441^BERMUDA 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.027=975^BHUTAN 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.028=591^BOLIVIA (PLURINATIONAL STATE OF) 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.029=1002^BONAIRE SINT EUSTATIUS AND SABA 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.030=387^BOSNIA AND HERZEGOVINA 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.031=267^BOTSWANA 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.032=1003^BOUVET ISLAND 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.033=55^BRAZIL 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.034=1014^BRITISH INDIAN OCEAN TERRITORY 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.035=673^BRUNEI DARUSSALAM 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.036=359^BULGARIA 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.037=226^BURKINA FASO 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.038=257^BURUNDI 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.039=238^CABO VERDE 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.040=855^CAMBODIA 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.041=237^CAMEROON 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.042=1^CANADA 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.043=1345^CAYMAN ISLANDS 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.044=236^CENTRAL AFRICAN REPUBLIC 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.045=235^CHAD 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.046=56^CHILE 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.047=86^CHINA 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.048=9^CHRISTMAS ISLAND 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.049=672^COCOS (KEELING) ISLANDS 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.050=57^COLOMBIA 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.051=270^COMOROS 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.052=242^CONGO
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.053=243^CONGO (DEMOCRATIC REPUBLIC OF THE) 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.054=682^COOK ISLANDS 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.055=506^COSTA RICA 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.056=225^CÔTE D'IVOIRE 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.057=385^CROATIA 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.058=53^CUBA 	
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.059=1015^CURAÇAO
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.060=357^CYPRUS 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.061=420^CZECHIA 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.062=45^DENMARK 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.063=253^DJIBOUTI 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.064=1767^DOMINICA 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.065=1809^DOMINICAN REPUBLIC 	
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.066=593^ECUADOR 		
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.067=20^EGYPT 		
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.068=503^EL SALVADOR 		
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.069=240^EQUATORIAL GUINEA 		
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.070=291^ERITREA 		
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.071=372^ESTONIA 	
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.072=251^ETHIOPIA 	
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.073=500^FALKLAND ISLANDS (MALVINAS) 		
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.074=298^FAROE ISLANDS 		
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.075=679^FIJI 		
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.076=358^FINLAND 		
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.077=33^FRANCE 		
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.078=594^FRENCH GUIANA 		
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.079=689^FRENCH POLYNESIA 	
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.080=1004^FRENCH SOUTHERN TERRITORIES 	
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.081=241^GABON 	
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.082=220^GAMBIA 	
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.083=995^GEORGIA 	
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.084=49^GERMANY 	
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.085=233^GHANA 		
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.086=350^GIBRALTAR 	
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.087=30^GREECE 	
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.088=299^GREENLAND 	
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.089=1473^GRENADA 	
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.090=590^GUADELOUPE 	
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.091=1671^GUAM 	
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.092=502^GUATEMALA 		
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.093=1481^GUERNSEY 	
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.094=224^GUINEA 	
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.095=245^GUINEA-BISSAU 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.096=592^GUYANA 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.097=509^HAITI 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.098=1005^HEARD ISLAND AND MCDONALD ISLANDS 	
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.099=6^HOLY SEE 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.100=504^HONDURAS 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.101=852^HONG KONG 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.102=36^HUNGARY 	
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.103=354^ICELAND 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.105=62^INDONESIA 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.106=98^IRAN (ISLAMIC REPUBLIC OF) 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.107=964^IRAQ 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.108=353^IRELAND 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.109=1624^ISLE OF MAN 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.110=972^ISRAEL 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.111=5^ITALY 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.112=1876^JAMAICA 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.113=81^JAPAN 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.114=1534^JERSEY 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.115=962^JORDAN 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.116=7^KAZAKHSTAN 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.117=254^KENYA 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.118=686^KIRIBATI 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.119=850^KOREA(DEMOCRATIC PEOPLE'S REPUBLIC OF) 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.120=82^KOREA (REPUBLIC OF) 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.121=965^KUWAIT 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.122=996^KYRGYZSTAN 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.123=856^LAO PEOPLE'S DEMOCRATIC REPUBLIC 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.124=371^LATVIA 
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.125=961^LEBANON
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.126=266^LESOTHO
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.127=231^LIBERIA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.128=218^LIBYA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.129=423^LIECHTENSTEIN
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.130=370^LITHUANIA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.131=352^LUXEMBOURG
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.132=853^MACAO
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.133=389^MACEDONIA(THE FORMER YUGOSLAV REPUBLIC OF)
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.134=261^MADAGASCAR
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.135=256^MALAWI
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.136=60^MALAYSIA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.137=960^MALDIVES
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.138=223^MALI
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.139=356^MALTA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.140=692^MARSHALL ISLANDS
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.141=596^MARTINIQUE
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.142=222^MAURITANIA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.143=230^MAURITIUS
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.144=269^MAYOTTE
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.145=52^MEXICO
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.146=691^MICRONESIA (FEDERATED STATES OF)
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.147=373^MOLDOVA (REPUBLIC OF)
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.148=377^MONACO
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.149=976^MONGOLIA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.150=382^MONTENEGRO
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.151=1664^MONTSERRAT
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.152=212^MOROCCO
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.153=258^MOZAMBIQUE
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.154=95^MYANMAR
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.155=264^NAMIBIA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.156=674^NAURU
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.157=977^NEPAL
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.158=31^NETHERLANDS
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.159=687^NEW CALEDONIA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.160=64^NEW ZEALAND
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.161=505^NICARAGUA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.162=227^NIGER
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.163=234^NIGERIA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.164=683^NIUE
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.165=15^NORFOLK ISLAND
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.166=1670^NORTHERN MARIANA ISLANDS
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.167=47^NORWAY
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.168=968^OMAN
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.169=92^PAKISTAN
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.170=680^PALAU
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.171=970^PALESTINE STATE OF
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.172=507^PANAMA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.173=675^PAPUA NEW GUINEA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.174=595^PARAGUAY
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.175=51^PERU
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.176=63^PHILIPPINES
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.177=1011^PITCAIRN
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.178=48^POLAND
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.179=14^PORTUGAL
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.180=1787^PUERTO RICO
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.181=974^QATAR
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.182=262^RÉUNION
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.183=40^ROMANIA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.184=8^RUSSIAN FEDERATION
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.185=250^RWANDA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.186=1006^SAINT BARTHÉLEMY
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.187=290^SAINT HELENA ASCENSION AND TRISTAN DA CUNHA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.188=1869^SAINT KITTS AND NEVIS
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.189=1758^SAINT LUCIA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.190=1007^SAINT MARTIN (FRENCH PART)
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.191=508^SAINT PIERRE AND MIQUELON
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.192=1784^SAINT VINCENT AND THE GRENADINES
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.193=685^SAMOA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.194=378^SAN MARINO
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.195=239^SAO TOME AND PRINCIPE
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.196=966^SAUDI ARABIA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.197=221^SENEGAL
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.198=381^SERBIA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.199=248^SEYCHELLES
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.200=232^SIERRA LEONE
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.201=65^SINGAPORE
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.202=1721^SINT MAARTEN (DUTCH PART)
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.203=421^SLOVAKIA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.204=386^SLOVENIA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.205=677^SOLOMON ISLANDS
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.206=252^SOMALIA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.207=28^SOUTH AFRICA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.208=1008^SOUTH GEORGIA AND THE SOUTH SANDWICH ISLANDS
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.209=211^SOUTH SUDAN
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.210=35^SPAIN
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.211=94^SRI LANKA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.212=249^SUDAN
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.213=597^SURINAME
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.214=1012^SVALBARD AND JAN MAYEN
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.215=268^SWAZILAND
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.216=46^SWEDEN
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.217=41^SWITZERLAND
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.218=963^SYRIAN ARAB REPUBLIC
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.219=886^TAIWAN PROVINCE OF CHINA[A]
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.220=992^TAJIKISTAN
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.221=255^TANZANIA UNITED REPUBLIC OF
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.222=66^THAILAND
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.223=670^TIMOR-LESTE (EAST TIMOR)
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.224=228^TOGO
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.225=690^TOKELAU
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.226=676^TONGA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.227=1868^TRINIDAD AND TOBAGO
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.228=216^TUNISIA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.229=90^TURKEY
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.230=993^TURKMENISTAN
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.231=1649^TURKS AND CAICOS ISLANDS
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.232=688^TUVALU
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.233=256^UGANDA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.234=380^UKRAINE
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.235=971^UNITED ARAB EMIRATES
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.236=44^UNITED KINGDOM OF GREAT BRITAIN AND NORTHERN IRELAND
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.237=2^UNITED STATES OF AMERICA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.238=1009^UNITED STATES MINOR OUTLYING ISLANDS
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.239=598^URUGUAY
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.240=998^UZBEKISTAN
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.241=678^VANUATU
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.242=58^VENEZUELA (BOLIVARIAN REPUBLIC OF)
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.243=84^VIET NAM
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.244=1284^VIRGIN ISLANDS (BRITISH)
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.245=1340^VIRGIN ISLANDS (U.S.)
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.246=681^WALLIS AND FUTUNA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.247=1013^WESTERN SAHARA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.248=967^YEMEN
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.249=260^ZAMBIA
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.250=263^ZIMBABWE
itr.itr4.refund.bankAccountDtls.foreignBankDetails.countryCode.251=9999^Others

#####################################################################################

itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDUsrType.01=-1^Select
itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDUsrType.02=1^Dependent person with Disability
itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDUsrType.03=2^Dependent person with Severe Disability

itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDBUsrType.01=-1^Select
itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDBUsrType.02=1^Self or dependent 
itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80DDBUsrType.03=2^Self or dependent - Senior Citizen

itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80UUsrType.01=-1^Select
itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80UUsrType.02=1^Self with disability 
itr.itr4.itr1IncomeDeductions.usrDeductUndChapVIA.section80UUsrType.03=2^Self with severe disability 

#####################################################################################

itr.itr4.personalInfo.gender.01=-1^Select
itr.itr4.personalInfo.gender.02=M^Male
itr.itr4.personalInfo.gender.03=F^Female
itr.itr4.personalInfo.gender.04=T^Transgender


itr.itr4.personalInfo.genderNotApplicable.01=X^Not applicable

#####################################################################################
itr.itr4.personalInfo.status.01=-1^Select
itr.itr4.personalInfo.status.02=I^I - Individual
itr.itr4.personalInfo.status.03=H^H - HUF
itr.itr4.personalInfo.status.04=F^F - Firm(other than LLP)

#####################################################################################

itr.itr4.filingStatus.taxStatus.01=-1^Select
itr.itr4.filingStatus.taxStatus.02=TR^Tax Refundable
itr.itr4.filingStatus.taxStatus.03=TP^Tax Payable
itr.itr4.filingStatus.taxStatus.04=NT^Nil Tax Balance

#####################################################################################
natureOfBusiness44ADAController.type.codeADA=code44ADA
codeADA=code44ADA

code44ADA.00=-1^Select
code44ADA.01=14001^14001 - Software development 
code44ADA.02=14002^14002 - Other software consultancy  
code44ADA.03=14003^14003 - Data processing 
code44ADA.04=14004^14004 - Database activities and distribution of electronic content 
code44ADA.05=14005^14005 - Other IT enabled services 
code44ADA.06=14006^14006 - BPO services 
code44ADA.07=14008^14008 - Maintenance and repair of office, accounting and computing machinery 
code44ADA.08=16001^16001 - Legal profession 
code44ADA.09=16002^16002 - Accounting, book-keeping and auditing profession 
code44ADA.10=16003^16003 - Tax consultancy 
code44ADA.11=16004^16004 - Architectural profession 
code44ADA.12=16005^16005 - Engineering and technical consultancy 
code44ADA.13=16007^16007 - Fashion designing 
code44ADA.14=16008^16008 - Interior decoration
code44ADA.15=16009^16009 - Photography
code44ADA.16=16013^16013 - Business and management consultancy activities
code44ADA.17=16018^16018 - Secretarial activities 
#code44ADA.18=16019^16019 - Other professional services n.e.c.
code44ADA.19=18001^18001 - General  hospitals 
code44ADA.20=18002^18002 - Speciality and super speciality hospitals 
code44ADA.21=18003^18003 - Nursing homes 
code44ADA.22=18004^18004 - Diagnostic centres   
code44ADA.23=18005^18005 - Pathological laboratories 
code44ADA.24=18010^18010 - Medical clinics  
code44ADA.25=18011^18011 - Dental practice  
code44ADA.26=18012^18012 - Ayurveda practice 
code44ADA.27=18013^18013 - Unani practice 
code44ADA.28=18014^18014 - Homeopathy practice 
code44ADA.29=18015^18015 - Nurses, physiotherapists or other para-medical practitioners 
code44ADA.30=18016^18016 - Veterinary hospitals and practice 
code44ADA.31=18017^18017 - Other healthcare services 
code44ADA.32=20010^20010 - Individual artists excluding authors 
code44ADA.33=20011^20011 - Literary activities 
code44ADA.34=20012^20012 - Other cultural activities n.e.c. 

#####################################################################################

natureOfBusiness44AEController.type.codeAE=code44AE
codeAE=code44AE
code=code44AE

code44AE.000=-1^Select
code44AE.001=08001^08001 - Renting of land transport equipment
code44AE.002=11002^11002 - Packers and movers 
code44AE.003=11008^11008 - Freight transport by road 
code44AE.004=11010^11010 - Forwarding of freight
code44AE.005=11011^11011 - Receiving and acceptance of freight 
code44AE.006=11012^11012 - Cargo handling 
code44AE.007=11015^11015 - Other Transport & Logistics services n.e.c   


#####################################################################################

natureOfBusiness44ADController.type.codeAD=code1
codeAD=code1

code1.000=-1^Select
code1.001=01001^01001 - Growing and manufacturing of tea 
code1.002=01002^01002 - Growing and manufacturing of coffee
code1.003=01003^01003 - Growing and manufacturing of rubber
code1.004=01004^01004 - Market gardening and horticulture specialties
code1.005=01005^01005 - Raising of silk worms and production of silk
code1.006=01006^01006 - Raising of bees and production of honey
code1.007=01007^01007 - Raising of poultry and production of eggs 
code1.008=01008^01008 - Rearing of sheep and production of wool
code1.009=01009^01009 - Rearing of animals and production of animal products
code1.010=01010^01010 - Agricultural and animal husbandry services 
code1.011=01011^01011 - Soil conservation, soil testing and soil desalination services
code1.012=01012^01012 - Hunting, trapping and game propagation services
code1.013=01013^01013 - Growing of timber, plantation, operation of tree nurseries and conserving of forest
code1.014=01014^01014 - Gathering of tendu leaves 
code1.015=01015^01015 - Gathering of other wild growing materials
code1.016=01016^01016 - Forestry service activities, timber cruising, afforestation and reforestation 
code1.017=01017^01017 - Logging service activities, transport of logs within the forest 
code1.018=01018^01018 - Other agriculture, animal husbandry or forestry activity n.e.c
code1.019=02001^02001 - Fishing on commercial basis in inland waters
code1.020=02002^02002 - Fishing on commercial basis in ocean and coastal areas
code1.021=02003^02003 - Fish farming
code1.022=02004^02004 - Gathering of marine materials such as natural pearls, sponges, coral etc.  
code1.023=02005^02005 - Services related to marine and fresh water fisheries, fish hatcheries and fish farms 
code1.024=02006^02006 - Other Fish farming activity n.e.c
code1.025=03001^03001 - Mining and agglomeration of hard coal
code1.026=03002^03002 - Mining and agglomeration of lignite
code1.027=03003^03003 - Extraction and agglomeration of peat
code1.028=03004^03004 - Extraction of crude petroleum and natural gas
code1.029=03005^03005 - Service activities incidental to oil and gas extraction excluding surveying
code1.030=03006^03006 - Mining of uranium and thorium ores
code1.031=03007^03007 - Mining of iron ores
code1.032=03008^03008 - Mining of non - ferrous metal ores, except uranium and thorium ores
code1.033=03009^03009 - Mining of gemstones
code1.034=03010^03010 - Mining of chemical and fertilizer minerals
code1.035=03011^03011 - Mining of quarrying of abrasive materials
code1.036=03012^03012 - Mining of mica, graphite and asbestos
code1.037=03013^03013 - Quarrying of stones (marble/granite/dolomite), sand and clay
code1.038=03014^03014 - Other mining and quarrying
code1.039=03015^03015 - Mining and production of salt
code1.040=03016^03016 - Other mining and quarrying n.e.c
code1.041=04001^04001 - Production, processing and preservation of meat and meat products
code1.042=04002^04002 - Production, processing and preservation of fish and fish products
code1.043=04003^04003 - Manufacture of vegetable oil, animal oil and fats
code1.044=04004^04004 - Processing of fruits, vegetables and edible nuts
code1.045=04005^04005 - Manufacture of dairy products
code1.046=04006^04006 - Manufacture of sugar 
code1.047=04007^04007 - Manufacture of cocoa, chocolates and sugar confectionery
code1.048=04008^04008 - Flour milling
code1.049=04009^04009 - Rice milling
code1.050=04010^04010 - Dal milling
code1.051=04011^04011 - Manufacture of other grain mill products
code1.052=04012^04012 - Manufacture of bakery products
code1.053=04013^04013 - Manufacture of starch products
code1.054=04014^04014 - Manufacture of animal feeds
code1.055=04015^04015 - Manufacture of other food products
code1.056=04016^04016 - Manufacturing of wines 
code1.057=04017^04017 - Manufacture of beer
code1.058=04018^04018 - Manufacture of malt liquors 
code1.059=04019^04019 - Distilling and blending of spirits, production of ethyl alcohol
code1.060=04020^04020 - Manufacture of mineral water
code1.061=04021^04021 - Manufacture of soft drinks
code1.062=04022^04022 - Manufacture of other non - alcoholic beverages
code1.063=04023^04023 - Manufacture of tobacco products
code1.064=04024^04024 - Manufacture of textiles (other than by handloom)  
code1.065=04025^04025 - Manufacture of textiles using handlooms (khadi)
code1.066=04026^04026 - Manufacture of carpet, rugs, blankets, shawls etc. (other than by hand) 
code1.067=04027^04027 - Manufacture of carpet, rugs, blankets, shawls etc. by hand
code1.068=04028^04028 - Manufacture of wearing apparel 
code1.069=04029^04029 - Tanning and dressing of leather
code1.070=04030^04030 - Manufacture of luggage, handbags and the like saddler and harness
code1.071=04031^04031 - Manufacture of footwear
code1.072=04032^04032 - Manufacture of wood and wood products, cork, straw and plaiting material
code1.073=04033^04033 - Manufacture of paper and paper products
code1.074=04034^04034 - Publishing, printing and reproduction of recorded media
code1.075=04035^04035 - Manufacture of coke oven products
code1.076=04036^04036 - Manufacture of refined petroleum products
code1.077=04037^04037 - Processing of nuclear fuel
code1.078=04038^04038 - Manufacture of fertilizers and nitrogen compounds
code1.079=04039^04039 - Manufacture of plastics in primary forms and of synthetic rubber
code1.080=04040^04040 - Manufacture of paints, varnishes and similar coatings
code1.081=04041^04041 - Manufacture of pharmaceuticals, medicinal chemicals and botanical products
code1.082=04042^04042 - Manufacture of soap and detergents
code1.083=04043^04043 - Manufacture of other chemical products
code1.084=04044^04044 - Manufacture of man - made fibers
code1.085=04045^04045 - Manufacture of rubber products
code1.086=04046^04046 - Manufacture of plastic products
code1.087=04047^04047 - Manufacture of glass and glass products 
code1.088=04048^04048 - Manufacture of cement, lime and plaster
code1.089=04049^04049 - Manufacture of articles of concrete, cement and plaster
code1.090=04050^04050 - Manufacture of Bricks
code1.091=04051^04051 - Manufacture of other clay and ceramic products
code1.092=04052^04052 - Manufacture of other non - metallic mineral products
code1.093=04053^04053 - Manufacture of pig iron, sponge iron, Direct Reduced Iron etc. 
code1.094=04054^04054 - Manufacture of Ferro alloys
code1.095=04055^04055 - Manufacture of Ingots, billets, blooms and slabs etc. 
code1.096=04056^04056 - Manufacture of steel products 
code1.097=04057^04057 - Manufacture of basic precious and non - ferrous metals
code1.098=04058^04058 - Manufacture of non - metallic mineral products
code1.099=04059^04059 - Casting of metals
code1.100=04060^04060 - Manufacture of fabricated metal products
code1.101=04061^04061 - Manufacture of engines and turbines
code1.102=04062^04062 - Manufacture of pumps and compressors
code1.103=04063^04063 - Manufacture of bearings and gears
code1.104=04064^04064 - Manufacture of ovens and furnaces
code1.105=04065^04065 - Manufacture of lifting and handling equipment
code1.106=04066^04066 - Manufacture of other general purpose machinery
code1.107=04067^04067 - Manufacture of agricultural and forestry machinery
code1.108=04068^04068 - Manufacture of Machine Tools
code1.109=04069^04069 - Manufacture of machinery for metallurgy
code1.110=04070^04070 - Manufacture of machinery for mining, quarrying and constructions
code1.111=04071^04071 - Manufacture of machinery for processing of food and  beverages 
code1.112=04072^04072 - Manufacture of machinery for leather and textile
code1.113=04073^04073 - Manufacture of weapons and ammunition
code1.114=04074^04074 - Manufacture of other special purpose machinery
code1.115=04075^04075 - Manufacture of domestic appliances
code1.116=04076^04076 - Manufacture of office, accounting and computing machinery
code1.117=04077^04077 - Manufacture of electrical machinery and apparatus 
code1.118=04078^04078 - Manufacture of Radio, Television, communication equipment and apparatus
code1.119=04079^04079 - Manufacture of medical and surgical equipment
code1.120=04080^04080 - Manufacture of industrial process control equipment
code1.121=04081^04081 - Manufacture of instruments and appliances for measurements and navigation
code1.122=04082^04082 - Manufacture of optical instruments
code1.123=04083^04083 - Manufacture of watches and clocks
code1.124=04084^04084 - Manufacture of motor vehicles
code1.125=09002^09002 - Repair and maintenance of motor vehicles
code1.126=04085^04085 - Manufacture of body of motor vehicles
code1.127=04086^04086 - Manufacture of parts & accessories of motor vehicles &  engines
code1.128=04087^04087 - Building & repair of ships and boats
code1.129=04088^04088 - Manufacture of railway locomotive and rolling stocks
code1.130=04089^04089 - Manufacture of aircraft and spacecraft
code1.131=04090^04090 - Manufacture of bicycles
code1.132=04091^04091 - Manufacture of other transport equipment
code1.133=04092^04092 - Manufacture of furniture
code1.134=04093^04093 - Manufacture of jewellery
code1.135=04094^04094 - Manufacture of sports goods
code1.136=04095^04095 - Manufacture of musical instruments
code1.137=04096^04096 - Manufacture of games and toys
code1.138=04097^04097 - Other manufacturing n.e.c.
code1.139=04098^04098 - Recycling of metal waste and scrap
code1.140=04099^04099 - Recycling of non -  metal waste and scrap
code1.141=05001^05001 - Production, collection and distribution of electricity
code1.142=05002^05002 - Manufacture and distribution of gas
code1.143=05003^05003 - Collection, purification and distribution of water
code1.144=05004^05004 - Other essential commodity service n.e.c
code1.145=06001^06001 - Site preparation works
code1.146=06002^06002 - Building of complete constructions or parts -  civil contractors
code1.147=06003^06003 - Building installation
code1.148=06004^06004 - Building completion
code1.149=06005^06005 - Construction and maintenance of roads, rails, bridges, tunnels, ports, harbour, runways etc.  
code1.150=06006^06006 - Construction and maintenance of power plants
code1.151=06007^06007 - Construction  and maintenance of industrial plants
code1.152=06008^06008 - Construction  and maintenance of power transmission and telecommunication lines 
code1.153=06009^06009 - Construction of water ways and water reservoirs
code1.154=06010^06010 - Other construction activity n.e.c.
code1.155=07001^07001 - Purchase, sale and letting of leased buildings(residential and non - residential)
code1.156=07002^07002 - Operating of real estate of self - owned buildings(residential and non - residential)
code1.157=07003^07003 - Developing and sub - dividing real estate into lots
code1.158=07004^07004 - Real estate activities on a fee or contract basis
code1.159=07005^07005 - Other real estate/renting services n.e.c
code1.160=08001^08001 - Renting of land transport equipment
code1.161=08002^08002 - Renting of water transport equipment
code1.162=08003^08003 - Renting of air transport equipment
code1.163=08004^08004 - Renting of agricultural machinery and equipment
code1.164=08005^08005 - Renting of construction and civil engineering machinery
code1.165=08006^08006 - Renting of office machinery and equipment
code1.166=08007^08007 - Renting of other machinery and equipment n.e.c. 
code1.167=08008^08008 - Renting of personal and household goods n.e.c. 
code1.168=08009^08009 - Renting of other machinery n.e.c.
code1.169=09001^09001 - Wholesale and retail sale of motor vehicles
code1.170=09003^09003 - Sale of motor parts and accessories -  wholesale and retail
code1.171=09004^09004 - Retail sale of automotive fuel
code1.173=09006^09006 - Wholesale of agricultural raw material 
code1.174=09007^09007 - Wholesale of food & beverages and tobacco
code1.175=09008^09008 - Wholesale of household goods
code1.176=09009^09009 - Wholesale of metals and metal ores
code1.177=09010^09010 - Wholesale of household goods
code1.178=09011^09011 - Wholesale of construction material
code1.179=09012^09012 - Wholesale of hardware and sanitary fittings
code1.180=09013^09013 - Wholesale of cotton and jute
code1.181=09014^09014 - Wholesale of raw wool and raw silk
code1.182=09015^09015 - Wholesale of other textile fibres
code1.183=09016^09016 - Wholesale of industrial chemicals
code1.184=09017^09017 - Wholesale of fertilizers and pesticides
code1.185=09018^09018 - Wholesale of electronic parts & equipment
code1.186=09019^09019 - Wholesale of other machinery, equipment and supplies
code1.187=09020^09020 - Wholesale of waste, scrap & materials for re - cycling
code1.188=09021^09021 - Retail sale of food, beverages and tobacco in specialized stores
code1.189=09022^09022 - Retail sale of other goods in specialized stores
code1.190=09023^09023 - Retail sale in non - specialized stores
code1.191=09024^09024 - Retail sale of textiles, apparel, footwear, leather goods
code1.192=09025^09025 - Retail sale of other household appliances
code1.193=09026^09026 - Retail sale of hardware, paint and glass
code1.194=09027^09027 - Wholesale of other products n.e.c
code1.195=09028^09028 - Retail sale of other products n.e.c
code1.196=10001^10001 - Hotels - Star rated
code1.197=10002^10002 - Hotels - Non - star rated
code1.198=10003^10003 - Motels, Inns and Dharmshalas
code1.199=10004^10004 - Guest houses and circuit houses
code1.200=10005^10005 - Dormitories and hostels at educational institutions
code1.201=10006^10006 - Short stay accommodations n.e.c.
code1.202=10007^10007 - Restaurants - with bars 
code1.203=10008^10008 - Restaurants - without bars
code1.204=10009^10009 - Canteens
code1.205=10010^10010 - Independent caterers
code1.206=10011^10011 - Casinos and other games of chance
code1.207=10012^10012 - Other hospitality services n.e.c.
code1.208=11001^11001 - Travel agencies and tour operators
code1.209=11002^11002 - Packers and movers
code1.210=11003^11003 - Passenger land transport
code1.211=11004^11004 - Air transport
code1.212=11005^11005 - Transport by urban/sub - urban railways
code1.213=11006^11006 - Inland water transport
code1.214=11007^11007 - Sea and coastal water transport
code1.215=11008^11008 - Freight transport by road
code1.216=11009^11009 - Freight transport by railways
code1.217=11010^11010 - Forwarding of freight
code1.218=11011^11011 - Receiving and acceptance of freight
code1.219=11012^11012 - Cargo handling
code1.220=11013^11013 - Storage and warehousing
code1.221=11014^11014 - Transport via pipelines (transport of gases, liquids, slurry and other commodities)
code1.222=11015^11015 - Other Transport & Logistics services n.e.c
code1.223=12001^12001 - Post and courier activities 
code1.224=12002^12002 - Basic telecom services
code1.225=12003^12003 - Value added telecom services
code1.226=12004^12004 - Maintenance of telecom network
code1.227=12005^12005 - Activities of the cable operators
code1.228=12006^12006 - Other Post & Telecommunication services n.e.c
code1.229=13001^13001 - Commercial banks, saving banks and discount houses
code1.230=13002^13002 - Specialised institutions granting credit
code1.231=13003^13003 - Financial leasing
code1.232=13004^13004 - Hire - purchase financing
code1.233=13005^13005 - Housing finance activities
code1.234=13006^13006 - Commercial loan activities
code1.235=13007^13007 - Credit cards
code1.236=13008^13008 - Mutual funds
code1.237=13009^13009 - Chit fund 
code1.238=13010^13010 - Investment activities
code1.239=13011^13011 - Life insurance
code1.240=13012^13012 - Pension funding
code1.241=13013^13013 - Non - life insurance
code1.242=13014^13014 - Administration of financial markets
code1.243=13015^13015 - Stock brokers, sub - brokers and related activities
code1.244=13016^13016 - Financial advisers, mortgage advisers and brokers
code1.245=13017^13017 - Foreign exchange services
code1.246=13018^13018 - Other financial intermediation services n.e.c.



code1.253=14007^14007 - Cyber café
code1.255=14009^14009 - Computer training and educational institutes
code1.256=14010^14010 - Other computation related services n.e.c.
code1.257=15001^15001 - Natural sciences and engineering
code1.258=15002^15002 - Social sciences and humanities
code1.259=15003^15003 - Other Research & Development activities n.e.c.


code1.265=16006^16006 - Advertising


#code1.268=16009^16009 - Photography
code1.269=16010^16010 - Auctioneers
#code1.270=16011^16011 - Business brokerage 
code1.271=16012^16012 - Market research and public opinion polling
#code1.272=16013^16013 - Business and management consultancy activities
code1.273=16014^16014 - Labour recruitment and provision of personnel
code1.274=16015^16015 - Investigation and security services
code1.275=16016^16016 - Building - cleaning and industrial cleaning activities
code1.276=16017^16017 - Packaging activities

code1.278=16019^16019 - Other professional services n.e.c.
code1.279=17001^17001 - Primary education
code1.280=17002^17002 - Secondary/senior secondary education
code1.281=17003^17003 - Technical and vocational secondary/senior secondary education
code1.282=17004^17004 - Higher education
code1.283=17005^17005 - Education by correspondence
code1.284=17006^17006 - Coaching centres and tuitions 
code1.285=17007^17007 - Other education services n.e.c.


code1.291=18006^18006 - Independent blood banks
code1.292=18007^18007 - Medical transcription
code1.293=18008^18008 - Independent ambulance services 
code1.294=18009^18009 - Medical suppliers, agencies and stores 

code1.303=19001^19001 - Social work activities with accommodation (orphanages and old age homes)
code1.304=19002^19002 - social work activities without accommodation (Creches)
code1.305=19003^19003 - Industry associations, chambers of commerce
code1.306=19004^19004 - Professional organisations
code1.307=19005^19005 - Trade unions
code1.308=19006^19006 - Religious organizations
code1.309=19007^19007 - Political organisations
code1.310=19008^19008 - Other membership organisations n.e.c. (rotary clubs, book clubs and philatelic clubs)
code1.311=19009^19009 - Other Social or community service n.e.c
code1.312=20001^20001 - Motion picture production
code1.313=20002^20002 - Film distribution
code1.314=20003^20003 - Film laboratories
code1.315=20004^20004 - Television channel productions
code1.316=20005^20005 - Television channels broadcast
code1.317=20006^20006 - Video production and distribution
code1.318=20007^20007 - Sound recording studios
code1.319=20008^20008 - Radio  -  recording and distribution
code1.320=20009^20009 - Stage production and related activities
code1.321=20010^20010 - Individual artists excluding authors
code1.322=20011^20011 - Literary activities
code1.323=20012^20012 - Other cultural activities n.e.c.
code1.324=20013^20013 - Circuses and race tracks
code1.325=20014^20014 - Video Parlours
code1.326=20015^20015 - News agency activities
code1.327=20016^20016 - Library and archives activities
code1.328=20017^20017 - Museum activities
code1.329=20018^20018 - Preservation of historical sites and buildings
code1.330=20019^20019 - Botanical and zoological gardens 
code1.331=20020^20020 - Operation and maintenance of sports facilities
code1.332=20021^20021 - Activities of sports and game schools
code1.333=20022^20022 - Organisation and operation of indoor/outdoor sports and promotion and production of sporting events
code1.334=20023^20023 - Other sporting activities n.e.c.
code1.335=20024^20024 - Other recreational activities n.e.c.
code1.336=21001^21001 - Hair dressing and other beauty treatment
code1.337=21002^21002 - Funeral and related activities
code1.338=21003^21003 - Marriage bureaus
code1.339=21004^21004 - Pet care services 
code1.340=21005^21005 - Sauna and steam baths, massage salons etc.
code1.341=21006^21006 - Astrological and spiritualist's activities
code1.342=21007^21007 - Private households as employers of domestic staff
code1.343=21008^21008 - Other services n.e.c.
code1.344=22001^22001 - Extra territorial organisations and bodies (IMF, World Bank, European Commission etc.)



#####################################################################################


aopController.type.addressAL.countryCode=countryCode
immovableDetailsController.type.addressAL.countryCode=countryCode

addressAL.countryCode=countryCode

controllerScheduleCT1.type.addressCT.countryCode=countryCode
controllerScheduleCT2.type.addressCT.countryCode=countryCode
controllerScheduleCT3.type.addressCT.countryCode=countryCode
controllerScheduleCT4.type.addressCT.countryCode=countryCode
controllerScheduleCT5.type.addressCT.countryCode=countryCode

addressCT.countryCode=countryCode

countryCode.001=-1^Select
countryCode.002=93^AFGHANISTAN                  
countryCode.003=1001^ALAND ISLANDS        
countryCode.004=355^ALBANIA
countryCode.005=213^ALGERIA  
countryCode.006=684^AMERICAN SAMOAs
countryCode.007=376^ANDORRA  
countryCode.008=244^ANGOLA  
countryCode.009=1264^ANGUILLA  
countryCode.010=1010^ANTARCTICA  
countryCode.011=1268^ANTIGUA AND BARBUDA  
countryCode.012=54^ARGENTINA  
countryCode.013=374^ARMENIA  
countryCode.014=297^ARUBA  
countryCode.015=61^AUSTRALIA  
countryCode.016=43^AUSTRIA  
countryCode.017=994^AZERBAIJAN  
countryCode.018=1242^BAHAMAS  
countryCode.019=973^BAHRAIN  
countryCode.020=880^BANGLADESH  
countryCode.021=1246^BARBADOS 
countryCode.022=375^BELARUS 
countryCode.023=32^BELGIUM 
countryCode.024=501^BELIZE 
countryCode.025=229^BENIN 
countryCode.026=1441^BERMUDA 
countryCode.027=975^BHUTAN 
countryCode.028=591^BOLIVIA (PLURINATIONAL STATE OF) 
countryCode.029=1002^BONAIRE SINT EUSTATIUS AND SABA 
countryCode.030=387^BOSNIA AND HERZEGOVINA 
countryCode.031=267^BOTSWANA 
countryCode.032=1003^BOUVET ISLAND 
countryCode.033=55^BRAZIL 
countryCode.034=1014^BRITISH INDIAN OCEAN TERRITORY 
countryCode.035=673^BRUNEI DARUSSALAM 
countryCode.036=359^BULGARIA 
countryCode.037=226^BURKINA FASO 
countryCode.038=257^BURUNDI 
countryCode.039=238^CABO VERDE 
countryCode.040=855^CAMBODIA 
countryCode.041=237^CAMEROON 
countryCode.042=1^CANADA 
countryCode.043=1345^CAYMAN ISLANDS 
countryCode.044=236^CENTRAL AFRICAN REPUBLIC 
countryCode.045=235^CHAD 
countryCode.046=56^CHILE 
countryCode.047=86^CHINA 
countryCode.048=9^CHRISTMAS ISLAND 
countryCode.049=672^COCOS (KEELING) ISLANDS 
countryCode.050=57^COLOMBIA 
countryCode.051=270^COMOROS 
countryCode.052=242^CONGO
countryCode.053=243^CONGO (DEMOCRATIC REPUBLIC OF THE) 
countryCode.054=682^COOK ISLANDS 
countryCode.055=506^COSTA RICA 
countryCode.056=225^CÔTE D'IVOIRE 
countryCode.057=385^CROATIA 
countryCode.058=53^CUBA 	
countryCode.059=1015^CURAÇAO
countryCode.060=357^CYPRUS 
countryCode.061=420^CZECHIA 
countryCode.062=45^DENMARK 
countryCode.063=253^DJIBOUTI 
countryCode.064=1767^DOMINICA 
countryCode.065=1809^DOMINICAN REPUBLIC 	
countryCode.066=593^ECUADOR 		
countryCode.067=20^EGYPT 		
countryCode.068=503^EL SALVADOR 		
countryCode.069=240^EQUATORIAL GUINEA 		
countryCode.070=291^ERITREA 		
countryCode.071=372^ESTONIA 	
countryCode.072=251^ETHIOPIA 	
countryCode.073=500^FALKLAND ISLANDS (MALVINAS) 		
countryCode.074=298^FAROE ISLANDS 		
countryCode.075=679^FIJI 		
countryCode.076=358^FINLAND 		
countryCode.077=33^FRANCE 		
countryCode.078=594^FRENCH GUIANA 		
countryCode.079=689^FRENCH POLYNESIA 	
countryCode.080=1004^FRENCH SOUTHERN TERRITORIES 	
countryCode.081=241^GABON 	
countryCode.082=220^GAMBIA 	
countryCode.083=995^GEORGIA 	
countryCode.084=49^GERMANY 	
countryCode.085=233^GHANA 		
countryCode.086=350^GIBRALTAR 	
countryCode.087=30^GREECE 	
countryCode.088=299^GREENLAND 	
countryCode.089=1473^GRENADA 	
countryCode.090=590^GUADELOUPE 	
countryCode.091=1671^GUAM 	
countryCode.092=502^GUATEMALA 		
countryCode.093=1481^GUERNSEY 	
countryCode.094=224^GUINEA 	
countryCode.095=245^GUINEA-BISSAU 
countryCode.096=592^GUYANA 
countryCode.097=509^HAITI 
countryCode.098=1005^HEARD ISLAND AND MCDONALD ISLANDS 	
countryCode.099=6^HOLY SEE 
countryCode.100=504^HONDURAS 
countryCode.101=852^HONG KONG 
countryCode.102=36^HUNGARY 	
countryCode.103=354^ICELAND 
countryCode.104=91^INDIA 
countryCode.105=62^INDONESIA 
countryCode.106=98^IRAN (ISLAMIC REPUBLIC OF) 
countryCode.107=964^IRAQ 
countryCode.108=353^IRELAND 
countryCode.109=1624^ISLE OF MAN 
countryCode.110=972^ISRAEL 
countryCode.111=5^ITALY 
countryCode.112=1876^JAMAICA 
countryCode.113=81^JAPAN 
countryCode.114=1534^JERSEY 
countryCode.115=962^JORDAN 
countryCode.116=7^KAZAKHSTAN 
countryCode.117=254^KENYA 
countryCode.118=686^KIRIBATI 
countryCode.119=850^KOREA(DEMOCRATIC PEOPLE'S REPUBLIC OF) 
countryCode.120=82^KOREA (REPUBLIC OF) 
countryCode.121=965^KUWAIT 
countryCode.122=996^KYRGYZSTAN 
countryCode.123=856^LAO PEOPLE'S DEMOCRATIC REPUBLIC 
countryCode.124=371^LATVIA 
countryCode.125=961^LEBANON
countryCode.126=266^LESOTHO
countryCode.127=231^LIBERIA
countryCode.128=218^LIBYA
countryCode.129=423^LIECHTENSTEIN
countryCode.130=370^LITHUANIA
countryCode.131=352^LUXEMBOURG
countryCode.132=853^MACAO
countryCode.133=389^MACEDONIA(THE FORMER YUGOSLAV REPUBLIC OF)
countryCode.134=261^MADAGASCAR
countryCode.135=256^MALAWI
countryCode.136=60^MALAYSIA
countryCode.137=960^MALDIVES
countryCode.138=223^MALI
countryCode.139=356^MALTA
countryCode.140=692^MARSHALL ISLANDS
countryCode.141=596^MARTINIQUE
countryCode.142=222^MAURITANIA
countryCode.143=230^MAURITIUS
countryCode.144=269^MAYOTTE
countryCode.145=52^MEXICO
countryCode.146=691^MICRONESIA (FEDERATED STATES OF)
countryCode.147=373^MOLDOVA (REPUBLIC OF)
countryCode.148=377^MONACO
countryCode.149=976^MONGOLIA
countryCode.150=382^MONTENEGRO
countryCode.151=1664^MONTSERRAT
countryCode.152=212^MOROCCO
countryCode.153=258^MOZAMBIQUE
countryCode.154=95^MYANMAR
countryCode.155=264^NAMIBIA
countryCode.156=674^NAURU
countryCode.157=977^NEPAL
countryCode.158=31^NETHERLANDS
countryCode.159=687^NEW CALEDONIA
countryCode.160=64^NEW ZEALAND
countryCode.161=505^NICARAGUA
countryCode.162=227^NIGER
countryCode.163=234^NIGERIA
countryCode.164=683^NIUE
countryCode.165=15^NORFOLK ISLAND
countryCode.166=1670^NORTHERN MARIANA ISLANDS
countryCode.167=47^NORWAY
countryCode.168=968^OMAN
countryCode.169=92^PAKISTAN
countryCode.170=680^PALAU
countryCode.171=970^PALESTINE STATE OF
countryCode.172=507^PANAMA
countryCode.173=675^PAPUA NEW GUINEA
countryCode.174=595^PARAGUAY
countryCode.175=51^PERU
countryCode.176=63^PHILIPPINES
countryCode.177=1011^PITCAIRN
countryCode.178=48^POLAND
countryCode.179=14^PORTUGAL
countryCode.180=1787^PUERTO RICO
countryCode.181=974^QATAR
countryCode.182=262^RÉUNION
countryCode.183=40^ROMANIA
countryCode.184=8^RUSSIAN FEDERATION
countryCode.185=250^RWANDA
countryCode.186=1006^SAINT BARTHÉLEMY
countryCode.187=290^SAINT HELENA ASCENSION AND TRISTAN DA CUNHA
countryCode.188=1869^SAINT KITTS AND NEVIS
countryCode.189=1758^SAINT LUCIA
countryCode.190=1007^SAINT MARTIN (FRENCH PART)
countryCode.191=508^SAINT PIERRE AND MIQUELON
countryCode.192=1784^SAINT VINCENT AND THE GRENADINES
countryCode.193=685^SAMOA
countryCode.194=378^SAN MARINO
countryCode.195=239^SAO TOME AND PRINCIPE
countryCode.196=966^SAUDI ARABIA
countryCode.197=221^SENEGAL
countryCode.198=381^SERBIA
countryCode.199=248^SEYCHELLES
countryCode.200=232^SIERRA LEONE
countryCode.201=65^SINGAPORE
countryCode.202=1721^SINT MAARTEN (DUTCH PART)
countryCode.203=421^SLOVAKIA
countryCode.204=386^SLOVENIA
countryCode.205=677^SOLOMON ISLANDS
countryCode.206=252^SOMALIA
countryCode.207=28^SOUTH AFRICA
countryCode.208=1008^SOUTH GEORGIA AND THE SOUTH SANDWICH ISLANDS
countryCode.209=211^SOUTH SUDAN
countryCode.210=35^SPAIN
countryCode.211=94^SRI LANKA
countryCode.212=249^SUDAN
countryCode.213=597^SURINAME
countryCode.214=1012^SVALBARD AND JAN MAYEN
countryCode.215=268^SWAZILAND
countryCode.216=46^SWEDEN
countryCode.217=41^SWITZERLAND
countryCode.218=963^SYRIAN ARAB REPUBLIC
countryCode.219=886^TAIWAN PROVINCE OF CHINA[A]
countryCode.220=992^TAJIKISTAN
countryCode.221=255^TANZANIA UNITED REPUBLIC OF
countryCode.222=66^THAILAND
countryCode.223=670^TIMOR-LESTE (EAST TIMOR)
countryCode.224=228^TOGO
countryCode.225=690^TOKELAU
countryCode.226=676^TONGA
countryCode.227=1868^TRINIDAD AND TOBAGO
countryCode.228=216^TUNISIA
countryCode.229=90^TURKEY
countryCode.230=993^TURKMENISTAN
countryCode.231=1649^TURKS AND CAICOS ISLANDS
countryCode.232=688^TUVALU
countryCode.233=256^UGANDA
countryCode.234=380^UKRAINE
countryCode.235=971^UNITED ARAB EMIRATES
countryCode.236=44^UNITED KINGDOM OF GREAT BRITAIN AND NORTHERN IRELAND
countryCode.237=2^UNITED STATES OF AMERICA
countryCode.238=1009^UNITED STATES MINOR OUTLYING ISLANDS
countryCode.239=598^URUGUAY
countryCode.240=998^UZBEKISTAN
countryCode.241=678^VANUATU
countryCode.242=58^VENEZUELA (BOLIVARIAN REPUBLIC OF)
countryCode.243=84^VIET NAM
countryCode.244=1284^VIRGIN ISLANDS (BRITISH)
countryCode.245=1340^VIRGIN ISLANDS (U.S.)
countryCode.246=681^WALLIS AND FUTUNA
countryCode.247=1013^WESTERN SAHARA
countryCode.248=967^YEMEN
countryCode.249=260^ZAMBIA
countryCode.250=263^ZIMBABWE
countryCode.251=9999^Others

#####################################################################################

itr.itr4.scheduleAL.interstAOPFlag.001=-1^Select
itr.itr4.scheduleAL.interstAOPFlag.002=Y^Yes
itr.itr4.scheduleAL.interstAOPFlag.003=N^No

#####################################################################################

itr.itr4.scheduleAL.immovableFlag.001=-1^Select
itr.itr4.scheduleAL.immovableFlag.002=Y^Yes
itr.itr4.scheduleAL.immovableFlag.003=N^No

#####################################################################################

natureIncomeController.type.natureDesc=natureDesc

natureDesc.01=-1^Select
natureDesc.02=AGRI^Agriculture Income (\u2264 Rs.5000) 
natureDesc.03=10(10BC)^Sec 10(10BC)-Any amount from the Central/State Govt./local authority by way of compensation on account of any disaster
natureDesc.04=10(10D)^Sec 10(10D)-Any sum received under a life insurance policy, including the sum allocated by way of bonus on such policy except sum as mentioned in sub-clause (a) to (d) of Sec.10(10D)
natureDesc.05=10(11)^Sec 10(11)-Statutory Provident Fund received
natureDesc.06=10(12)^Sec 10(12)-Recognised Provident Fund received
natureDesc.07=10(13)^Sec 10(13)-Approved superannuation fund received
natureDesc.08=10(16)^Sec 10(16)-Scholarships granted to meet the cost of education
natureDesc.09=10(17)^Sec 10(17)-Allowance MP/MLA/MLC
natureDesc.10=10(17A)^Sec 10(17A)-Award instituted by Government
natureDesc.11=10(18)^Sec 10(18)-Pension received by winner of  "Param Vir Chakra" or "Maha Vir Chakra" or "Vir Chakra" or such other gallantry award
natureDesc.12=DMDP^Defense medical disability pension
natureDesc.13=10(19)^Sec 10(19)-Armed Forces Family pension in case of death during operational duty
natureDesc.14=10(26)^Sec 10(26)-Any income as referred to in section 10(26)
natureDesc.15=10(26AAA)^Sec 10(26AAA)-Any income as referred to in section 10(26AAA) 
natureDesc.16=10(34)^Sec.10(34) -Exempted Dividend Income
natureDesc.17=OTH^Any Other

#####################################################################################
itr.itr4.verification.capacity=capacity

capacity.01=-1^Select
capacity.02=S^Self
capacity.03=R^Representative
capacity.04=K^Karta
capacity.05=P^Partner


#####################################################################################
extentExemptController.type.salNatureDesc=salNatureDesc

salNatureDesc.01=-1^Select
salNatureDesc.02=10(5)^Sec 10(5)- Leave Travel concession/assistance
salNatureDesc.03=10(6)^Sec 10(6)-Remuneration received as an official, by whatever name called, of an embassy, high commission etc	
salNatureDesc.04=10(7)^Sec 10(7)-Allowances or perquisites paid or allowed as such outside India by the Government to a citizen of India for rendering service outside India
salNatureDesc.05=10(10)^Sec 10(10)-Death-cum-retirement gratuity received 
salNatureDesc.06=10(10A)^Sec 10(10A)-Commuted value of pension received
salNatureDesc.07=10(10AA)^Sec 10(10AA)-Earned leave encashment on Retirement
salNatureDesc.08=10(10B)(i)^10(10B) First proviso - Compensation limit notified by CG in the Official Gazette
salNatureDesc.09=10(10B)(ii)^10(10B) Second proviso - Compensation under scheme approved by the Central Government
salNatureDesc.10=10(10C)^Sec 10(10C)-Amount received/receivable on voluntary retirement or termination of service
salNatureDesc.11=10(10CC)^Sec 10(10CC)-Tax paid by employer on non-monetary perquisite
salNatureDesc.12=10(13A)^Sec 10(13A)-Allowance to meet expenditure incurred on house rent
salNatureDesc.13=10(14)(i)^Sec 10(14)(i)-Prescribed Allowances or benefits (not in a nature of perquisite) specifically granted to meet expenses wholly, necessarily and exclusively and to the extent actually incurred, in performance of duties of office or employment
salNatureDesc.14=10(14)(ii)^Sec 10(14)(ii)-Prescribed Allowances or benefits granted to meet personal expenses in performance of duties of office or employment or to compensate him for increased cost of living.
salNatureDesc.15=OTH^Any Other

#####################################################################################

incomeOtherSourceController.type.othSrcNatureDesc=othSrcNatureDesc

othSrcNatureDesc.01=-1^Select
othSrcNatureDesc.02=SAV^Interest from Saving Account
othSrcNatureDesc.03=IFD^Interest from Deposit(Bank/Post Office/Cooperative Society)
othSrcNatureDesc.04=TAX^Interest from Income Tax Refund
othSrcNatureDesc.05=FAP^Family pension
othSrcNatureDesc.06=OTH^Any Other


#####################################################################################

natureOfBusinessGoods44AEController.type.ownedLeasedHiredFlag=ownedLeasedHiredFlag

ownedLeasedHiredFlag.01=-1^Select
ownedLeasedHiredFlag.02=OWN^Owned
ownedLeasedHiredFlag.03=LEASE^Leased
ownedLeasedHiredFlag.04=HIRED^Hired

#####################################################################################

taxDeductedFrmIncomeController.type.headOfIncome=headOfIncome2
headOfIncome=headOfIncome2

headOfIncome2.01=-1^Select
headOfIncome2.02=BP^Income from business and Profession
headOfIncome2.03=HP^Income from House Property
headOfIncome2.04=OS^Income from Other Source
headOfIncome2.05=EI^Exempt Income

#####################################################################################

taxDeductedTabController.type.headOfIncome=headOfIncome1

headOfIncome1.01=-1^Select
headOfIncome1.02=HP^Income from House property

#####################################################################################

taxDeductedTabController.type.deductedYr=deductedYr1

deductedYr1.01=-1^Select
deductedYr1.02=2018^2018
deductedYr1.03=2017^2017

#####################################################################################

natureOfBusinessGSTNatureController.type.natureOfItems=natureOfItems

natureOfItems.01=-1^Select
natureOfItems.02=1^Un billed revenue and/or Unadjusted advances
natureOfItems.03=2^Deemed Supply under Schedule I of CGST Act, 2017 (eg. Stock transfer)
natureOfItems.04=3^Discounts/Credit Notes not permissible under GST
natureOfItems.05=4^Supply of goods by SEZ units to DTA Units (if not reported in GST returns by SEZ unit)
natureOfItems.06=5^Difference in turnover arising on account of valuation rules including foreign currency translation under CGST Act, 2017
natureOfItems.07=6^Gross turnover/receipt reported under GST but considered separately under the head \u201CIncome from other sources\u201D
natureOfItems.08=7^Gross turnover/receipt reported under GST but considered separately under the head \u201CIncome from House Property\u201D
natureOfItems.09=8^Gross turnover/receipt reported under GST but considered for computing presumptive income under section 44AE
natureOfItems.10=9^Aggregate amount of GST not forming part of turnover reported in GST returns filed but included in E1 and/or E3
natureOfItems.11=10^Any Other

#####################################################################################

itr.itr4.filingStatus.seventhProvisio139.01=-1^Select
itr.itr4.filingStatus.seventhProvisio139.02=Y^Yes
itr.itr4.filingStatus.seventhProvisio139.03=N^No

itr.itr4.filingStatus.depAmtAggAmtExcd1CrPrYrFlg.01=-1^Select
itr.itr4.filingStatus.depAmtAggAmtExcd1CrPrYrFlg.02=Y^Yes
itr.itr4.filingStatus.depAmtAggAmtExcd1CrPrYrFlg.03=N^No

itr.itr4.filingStatus.incrExpAggAmt1LkElctrctyPrYrFlg.01=-1^Select
itr.itr4.filingStatus.incrExpAggAmt1LkElctrctyPrYrFlg.02=Y^Yes
itr.itr4.filingStatus.incrExpAggAmt1LkElctrctyPrYrFlg.03=N^No

itr.itr4.filingStatus.incrExpAggAmt2LkTrvFrgnCntryFlg.01=-1^Select
itr.itr4.filingStatus.incrExpAggAmt2LkTrvFrgnCntryFlg.02=Y^Yes
itr.itr4.filingStatus.incrExpAggAmt2LkTrvFrgnCntryFlg.03=N^No

itr.itr4.itr1IncomeDeductions.depPayInvClmUndDednVIA.01=-1^Select
itr.itr4.itr1IncomeDeductions.depPayInvClmUndDednVIA.02=Y^Yes
itr.itr4.itr1IncomeDeductions.depPayInvClmUndDednVIA.03=N^No

#####################################################################################

itr.itr4.schedule80D.sec80DSelfFamSrCtznHealth.parentsSeniorCitizenFlag.001=-1^Select
itr.itr4.schedule80D.sec80DSelfFamSrCtznHealth.parentsSeniorCitizenFlag.002=Y^Yes
itr.itr4.schedule80D.sec80DSelfFamSrCtznHealth.parentsSeniorCitizenFlag.003=N^No
itr.itr4.schedule80D.sec80DSelfFamSrCtznHealth.parentsSeniorCitizenFlag.004=P^Not claiming for Parents

itr.itr4.schedule80D.sec80DSelfFamSrCtznHealth.seniorCitizenFlag.001=-1^Select
itr.itr4.schedule80D.sec80DSelfFamSrCtznHealth.seniorCitizenFlag.002=Y^Yes
itr.itr4.schedule80D.sec80DSelfFamSrCtznHealth.seniorCitizenFlag.003=N^No
itr.itr4.schedule80D.sec80DSelfFamSrCtznHealth.seniorCitizenFlag.004=S^Not claiming for Self/ Family

#####################################################################################



